Copyright: Copyright © Firefly Software Systems Corp.


Contents

Fonts

Settings

Error Logging


Using Fonts

There are 2 font dialog boxes.

OEM

True Type


Settings

Settings supports 3 menu items.

1. This session.

2. PIF Editor.

3. Help

'This session' allow you to change settings for the duration of the current DOS session.

PIF Editor brings up the PIF Editor with the current Program Information File(PIF).

Help brings you here.


OEM

OEM stands for "Original Equipment Manufacturer". In the case of fonts it means that the font face is based on the old character set that came with the original IBM PC. The font faces used for some of the characters in that system had line drawing and other symbols. For instance, the character #3 was a so called "funny face".


True Type

You can choose from any of the available Fixed Pitch True Type fonts. Fonts which are not fixed pitch are not displayed. Most of these faces will be ANSI font faces. Which means that the font face will not have the DOS bit maps for the usual high characters, such as the line drawing and other block characters.

So called OEM font faces are available and if you have them installed they will show in the list.

Use of italic is discouraged because of the degradation that it will cause when scrolling.


Error Logging

Error logging is controlled by a switch in system.ini.

If the switch = 0, then logging is off.

= 1, then logging is on.

= 2, logging is on and a message box will inform that logging is in effect each time Winoldap is started(for the first session).

The switch goes in the section:

[NonWindowsApps]

WinoaLogErrors=1

; turns on error logging.

;                        0 = off, 1 = on, 2 = on and notify w/messagebox